Provisioned Clusters - List User Kubeconfig

Lists the user credentials of the provisioned cluster (can only be used within private network)

POST https://management.azure.com/{connectedClusterResourceUri}/providers/Microsoft.HybridContainerService/provisionedClusterInstances/default/listUserKubeconfig?api-version=2026-04-01-preview

URI Parameters

Name In Required Type Description
connectedClusterResourceUri
path True

string

The fully qualified Azure Resource Manager identifier of the connected cluster resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ListCredentialResponse

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ProvisionedClusters_ListUserKubeconfig_MaximumSet_Gen
ProvisionedClusters_ListUserKubeconfig_MinimumSet_Gen

ProvisionedClusters_ListUserKubeconfig_MaximumSet_Gen

Sample request

POST https://management.azure.com/subscriptions/a3e42606-29b1-4d7d-b1d9-9ff6b9d3c71b/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/test-hybridakscluster/providers/Microsoft.HybridContainerService/provisionedClusterInstances/default/listUserKubeconfig?api-version=2026-04-01-preview

Sample response

{
  "id": "/providers/Microsoft.HybridContainerService/locations/EASTUS/operationStatuses/766ea16c-53c6-421e-9b7d-a8bea47285ed*36530D233A0F410A40772AE878D8E7A0B2223081048946AD3D40DE0268480FBE",
  "name": "766ea16c-53c6-421e-9b7d-a8bea47285ed*36530D233A0F410A40772AE878D8E7A0B2223081048946AD3D40DE0268480FBE",
  "resourceId": "/subscriptions/921d26b3-c14d-4efc-b56e-93a2439e028c/resourceGroups/rg/providers/Microsoft.HybridContainerService/provisionedClusters/cluster-pc-1-24",
  "status": "Succeeded",
  "properties": {
    "kubeconfigs": [
      {
        "name": "credentialName1",
        "value": "Y3JlZGVudGlhbFZhbHVlMQ=="
      }
    ]
  }
}
location: https://contoso.com/operationstatus

ProvisionedClusters_ListUserKubeconfig_MinimumSet_Gen

Sample request

POST https://management.azure.com/subscriptions/a3e42606-29b1-4d7d-b1d9-9ff6b9d3c71b/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/test-hybridakscluster/providers/Microsoft.HybridContainerService/provisionedClusterInstances/default/listUserKubeconfig?api-version=2026-04-01-preview

Sample response

{
  "id": "/providers/Microsoft.HybridContainerService/locations/EASTUS/operationStatuses/766ea16c-53c6-421e-9b7d-a8bea47285ed*36530D233A0F410A40772AE878D8E7A0B2223081048946AD3D40DE0268480FBE",
  "name": "766ea16c-53c6-421e-9b7d-a8bea47285ed*36530D233A0F410A40772AE878D8E7A0B2223081048946AD3D40DE0268480FBE",
  "resourceId": "/subscriptions/921d26b3-c14d-4efc-b56e-93a2439e028c/resourceGroups/rg/providers/Microsoft.HybridContainerService/provisionedClusters/cluster-pc-1-24",
  "status": "Succeeded",
  "properties": {
    "kubeconfigs": [
      {
        "name": "credentialName1",
        "value": "Y3JlZGVudGlhbFZhbHVlMQ=="
      }
    ]
  }
}
location: https://contoso.com/operationstatus

Definitions

Name Description
CredentialResult

The credential result response.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ListCredentialResponse

The list kubeconfig result response.

ListCredentialResponseError

The error listing the kubeconfig credential response.

ListCredentialResponseProperties

Properties of the kubeconfig credential response.

ProvisioningState

Provisioning state of the resource.

CredentialResult

The credential result response.

Name Type Description
name

string

The name of the credential.

value

string (byte)

Base64-encoded Kubernetes configuration file.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ListCredentialResponse

The list kubeconfig result response.

Name Type Description
error

ListCredentialResponseError

Error listing the kubeconfig credential response.

id

string

Operation Id

name

string

Operation Name

properties

ListCredentialResponseProperties

Properties of the kubeconfig credential response.

resourceId

string (arm-id)

ARM Resource Id of the provisioned cluster instance

status

ProvisioningState

Provisioning state of the resource

ListCredentialResponseError

The error listing the kubeconfig credential response.

Name Type Description
code

string

The error code.

message

string

The error message.

ListCredentialResponseProperties

Properties of the kubeconfig credential response.

Name Type Description
kubeconfigs

CredentialResult[]

Base64-encoded Kubernetes configuration file.

ProvisioningState

Provisioning state of the resource.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Pending

Pending state.

Creating

Creating state.

Deleting

Deleting state.

Updating

Updating state.

Upgrading

Upgrade in progress

Accepted

Accepted state.